apport-autoreport.service fails if whoopsie isn't running

Bug #1787729 reported by Cristian Aravena Romero on 2018-08-18
176
This bug affects 33 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
High
Brian Murray
Bionic
High
Brian Murray
Cosmic
High
Brian Murray

Bug Description

Impact
------
If automatic crash reporting is enabled and apport-autoreport.service starts before whoopsie on boot then crash reports that happened during shutdown or start up will not be automatically uploaded to the error tracker.

Test Case
---------
1) install apport-noui
2) sudo service apport stop
3) modify /usr/share/apport/whoopsie-upload-all to exit(1) thereby recreating the situation where whoopsie isn't running. I did this by copying lines 159,160 to 161,162 and unindenting them. N.B. this isn't necessary if you are on a system where whoopsie is starting after apport.
4) touch /var/crash/my.crash
5) reboot
5) run 'systemctl status apport-autoreport.service' and observe it failed because whoopsie isn't running

When testing the proposed version of apport you'll want to revert the changes you made to whoopsie-upload-all. With the version of apport from -proposed you should no longer see the failure message for the apport-autoreport.service. The best test case is just having an affected system test the package from -proposed though.

Regression Potential
--------------------
We are clearly fixing something that was a mistake in the original service so there is little chance for regression.

--------

ProblemType: BugDistroRelease: Ubuntu 18.10
Package: apport 2.20.10-0ubuntu7
Uname: Linux 4.18.3-041803-generic x86_64
ApportLog:

ApportVersion: 2.20.10-0ubuntu7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Sat Aug 18 11:48:00 2018
InstallationDate: Installed on 2017-10-13 (308 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170926)
PackageArchitecture: allSourcePackage: apport
UpgradeStatus: No upgrade log present (probably fresh install)

Brian Murray (brian-murray) wrote :

Could you run the command 'systemctl status apport-autoreport.service' so we can get more information about the failure?

Changed in apport (Ubuntu):
status: New → Incomplete

Hello Brian Murray,

$ systemctl status apport-autoreport.service
● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: failed (Result: exit-code) since Sat 2018-08-18 21:09:36 -03; 4min 17s ago
  Process: 823 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=1/FAILURE)
 Main PID: 823 (code=exited, status=1/FAILURE)

ago 18 21:09:35 caravena-530u3c-530u4c systemd[1]: Starting Process error reports when automatic reporting is enabled...
ago 18 21:09:36 caravena-530u3c-530u4c whoopsie-upload-all[823]: ERROR: whoopsie is not running
ago 18 21:09:36 caravena-530u3c-530u4c systemd[1]: apport-autoreport.service: Main process exited, code=exited, status=1/FAILURE
ago 18 21:09:36 caravena-530u3c-530u4c systemd[1]: apport-autoreport.service: Failed with result 'exit-code'.
ago 18 21:09:36 caravena-530u3c-530u4c systemd[1]: Failed to start Process error reports when automatic reporting is enabled.

Regards,
--
Cristian Aravena Romero (caravena)

Hello Brian Murray,

First run the program 'whoopsie' then run 'systemctl status apport-autoreport.service' and no longer throw the error...

caravena@caravena-530u3c-530u4c:/var/crash$ whoopsie
caravena@caravena-530u3c-530u4c:/var/crash$ systemctl status apport-autoreport.service
● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: inactive (dead) since Wed 2018-08-22 10:15:46 -03; 3h 24min ago
  Process: 11093 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=0/SUCCESS)
 Main PID: 11093 (code=exited, status=0/SUCCESS)

ago 22 10:15:46 caravena-530u3c-530u4c systemd[1]: Starting Process error reports when automatic reporting is enabled...
ago 22 10:15:46 caravena-530u3c-530u4c whoopsie-upload-all[11093]: /var/crash/_usr_bin_gnome-control-center.1000.crash already marked for upload, skipping
ago 22 10:15:46 caravena-530u3c-530u4c whoopsie-upload-all[11093]: /var/crash/_usr_lib_telepathy_telepathy-idle.1000.crash already marked for upload, skipping
ago 22 10:15:46 caravena-530u3c-530u4c whoopsie-upload-all[11093]: /var/crash/_usr_bin_gnome-shell.1000.crash already marked for upload, skipping
ago 22 10:15:46 caravena-530u3c-530u4c whoopsie-upload-all[11093]: /var/crash/_usr_bin_Xwayland.1000.crash already marked for upload, skipping
ago 22 10:15:46 caravena-530u3c-530u4c whoopsie-upload-all[11093]: All reports processed
ago 22 10:15:46 caravena-530u3c-530u4c systemd[1]: Started Process error reports when automatic reporting is enabled.

kind regards,
--
Cristian Aravena Romero (caravena)

Hello Brian Murray,

The error continues :-(

caravena@caravena-530u3c-530u4c:/var/log$ whoopsie
caravena@caravena-530u3c-530u4c:/var/log$ systemctl status apport-autoreport.service
● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: failed (Result: exit-code) since Thu 2018-08-23 08:02:30 -03; 1h 24min ago
  Process: 813 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=1/FAILURE)
 Main PID: 813 (code=exited, status=1/FAILURE)

ago 23 08:02:28 caravena-530u3c-530u4c systemd[1]: Starting Process error reports when automatic reporting is enabled...
ago 23 08:02:30 caravena-530u3c-530u4c whoopsie-upload-all[813]: ERROR: whoopsie is not running
ago 23 08:02:30 caravena-530u3c-530u4c systemd[1]: apport-autoreport.service: Main process exited, code=exited, status=1/FAILURE
ago 23 08:02:30 caravena-530u3c-530u4c systemd[1]: apport-autoreport.service: Failed with result 'exit-code'.
ago 23 08:02:30 caravena-530u3c-530u4c systemd[1]: Failed to start Process error reports when automatic reporting is enabled.

Kind regards,
--
Cristian Aravena Romero (caravena)

Keith Myers (keith-myers) wrote :

I am having this issue. I can't get rid of the error.
● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: failed (Result: exit-code) since Wed 2018-10-03 10:55:24 PDT; 1min 42s ago
  Process: 1007 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=1/FAILURE)
 Main PID: 1007 (code=exited, status=1/FAILURE)

Oct 03 10:55:24 Serenity systemd[1]: Starting Process error reports when automatic reporting is enabled...
Oct 03 10:55:24 Serenity whoopsie-upload-all[1007]: ERROR: whoopsie is not running
Oct 03 10:55:24 Serenity systemd[1]: apport-autoreport.service: Main process exited, code=exited, status=1/FAILURE
Oct 03 10:55:24 Serenity systemd[1]: apport-autoreport.service: Failed with result 'exit-code'.
Oct 03 10:55:24 Serenity systemd[1]: Failed to start Process error reports when automatic reporting is enabled.

keith@Serenity:~$ whoopsie
keith@Serenity:~$ systemctl status apport-autoreport.service
● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: failed (Result: exit-code) since Wed 2018-10-03 10:55:24 PDT; 3min 13s ago
  Process: 1007 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=1/FAILURE)
 Main PID: 1007 (code=exited, status=1/FAILURE)

Oct 03 10:55:24 Serenity systemd[1]: Starting Process error reports when automatic reporting is enabled...
Oct 03 10:55:24 Serenity whoopsie-upload-all[1007]: ERROR: whoopsie is not running
Oct 03 10:55:24 Serenity systemd[1]: apport-autoreport.service: Main process exited, code=exited, status=1/FAILURE
Oct 03 10:55:24 Serenity systemd[1]: apport-autoreport.service: Failed with result 'exit-code'.
Oct 03 10:55:24 Serenity systemd[1]: Failed to start Process error reports when automatic reporting is enabled.

Joao Meira (dulive) on 2018-10-21
no longer affects: apport
Daemo00 (daemo00) wrote :

Hi all, I managed to start the apport-autoreport service with
systemctl start whoopsie.service
and then
systemctl start apport-autoreport.service

But everytime I reboot I still get the error in the bug opener's screenshot 20180817_195237.jpg and
systemctl status apport-autoreport.service
● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: failed (Result: exit-code) since Wed 2018-10-31 10:09:12 CET; 4min 12s ago
  Process: 898 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=1/FAILURE)
 Main PID: 898 (code=exited, status=1/FAILURE)

ott 31 10:08:57 simone-SATELLITE-PRO-C850-1GU systemd[1]: Starting Process error reports when automatic reporting is enabled...
ott 31 10:09:12 simone-SATELLITE-PRO-C850-1GU whoopsie-upload-all[898]: ERROR: whoopsie is not running
ott 31 10:09:12 simone-SATELLITE-PRO-C850-1GU systemd[1]: apport-autoreport.service: Main process exited, code=exited, status=1/FAILURE
ott 31 10:09:12 simone-SATELLITE-PRO-C850-1GU systemd[1]: apport-autoreport.service: Failed with result 'exit-code'.
ott 31 10:09:12 simone-SATELLITE-PRO-C850-1GU systemd[1]: Failed to start Process error reports when automatic reporting is enabled.

Aravind R (araviaravi) wrote :

I dont know how Daemo00 manage to start

sudo systemctl start whoopsie.service

shows noting

and when I run service apport-autoreport status. It shows same error:

● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: failed (Result: exit-code) since Tue 2018-11-06 15:36:56 IST; 35min ago
  Process: 1491 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=1/FAILURE)
 Main PID: 1491 (code=exited, status=1/FAILURE)

Nov 06 15:36:52 comp systemd[1]: Starting Process error reports when automatic reporting is enabled...
Nov 06 15:36:56 comp whoopsie-upload-all[1491]: ERROR: whoopsie is not running
Nov 06 15:36:56 comp systemd[1]: apport-autoreport.service: Main process exited, code=exited, status=1/FAILURE
Nov 06 15:36:56 comp systemd[1]: apport-autoreport.service: Failed with result 'exit-code'.
Nov 06 15:36:56 comp systemd[1]: Failed to start Process error reports when automatic reporting is enabled.

Keith Myers (keith-myers) wrote :

This is what service apport-autoreport status shows now. I still have the Failed status in the error log at each boot.

keith@Serenity:~$ service apport-autoreport status
● apport-autoreport.service - Process error reports when automatic reporting is
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor
   Active: inactive (dead) since Fri 2018-11-02 15:11:10 PDT; 3 days ago
 Main PID: 24527 (code=exited, status=0/SUCCESS)

● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: inactive (dead) since Fri 2018-11-02 15:11:10 PDT; 3 days ago
 Main PID: 24527 (code=exited, status=0/SUCCESS)

Nov 02 15:11:10 Serenity whoopsie-upload-all[24527]: a = os.fspath(a)
Nov 02 15:11:10 Serenity whoopsie-upload-all[24527]: TypeError: expected str, bytes or os.PathLike object, not NoneType
Nov 02 15:11:10 Serenity whoopsie-upload-all[24527]: ERROR: processing /var/crash/_usr_lib_chromium-browser_chromium-browser.1000.cr
Nov 02 15:11:10 Serenity whoopsie-upload-all[24527]: skipping, not a crash
Nov 02 15:11:10 Serenity whoopsie-upload-all[24527]: /var/crash/_usr_bin_yelp.1000.crash already marked for upload, skipping
Nov 02 15:11:10 Serenity whoopsie-upload-all[24527]: skipping, not a crash
Nov 02 15:11:10 Serenity whoopsie-upload-all[24527]: Collecting info for /var/crash/_usr_lib_chromium-browser_chromium-browser.1000.
Nov 02 15:11:10 Serenity whoopsie-upload-all[24527]: skipping, not a crash
Nov 02 15:11:10 Serenity whoopsie-upload-all[24527]: All reports processed
Nov 02 15:11:10 Serenity systemd[1]: Started Process error reports when automatic reporting is enabled.

Brian Murray (brian-murray) wrote :

I've done some digging into this and now I'm curious about the output of 'sudo systemctl status whoopsie.service'. Please let me know!

Keith Myers (keith-myers) wrote :

● whoopsie.service - crash report submission daemon
   Loaded: loaded (/lib/systemd/system/whoopsie.service; enabled; vendor preset: enabled)
   Active: active (running) since Wed 2018-10-31 11:57:10 PDT; 5 days ago
 Main PID: 1457 (whoopsie)
    Tasks: 3 (limit: 4915)
   CGroup: /system.slice/whoopsie.service
           └─1457 /usr/bin/whoopsie -f

Nov 05 00:22:37 Serenity whoopsie[1457]: [00:22:37] offline
Nov 05 00:27:08 Serenity whoopsie[1457]: [00:27:08] The default IPv4 route is: /org/freedesktop/NetworkManager/ActiveConnection/1
Nov 05 00:27:08 Serenity whoopsie[1457]: [00:27:08] Not a paid data plan: /org/freedesktop/NetworkManager/ActiveConnection/1
Nov 05 00:27:08 Serenity whoopsie[1457]: [00:27:08] Found usable connection: /org/freedesktop/NetworkManager/ActiveConnection/1
Nov 05 00:27:09 Serenity whoopsie[1457]: [00:27:09] online
Nov 06 05:12:37 Serenity whoopsie[1457]: [05:12:37] offline
Nov 06 05:17:08 Serenity whoopsie[1457]: [05:17:08] The default IPv4 route is: /org/freedesktop/NetworkManager/ActiveConnection/1
Nov 06 05:17:08 Serenity whoopsie[1457]: [05:17:08] Not a paid data plan: /org/freedesktop/NetworkManager/ActiveConnection/1
Nov 06 05:17:08 Serenity whoopsie[1457]: [05:17:08] Found usable connection: /org/freedesktop/NetworkManager/ActiveConnection/1
Nov 06 05:17:10 Serenity whoopsie[1457]: [05:17:10] online

Brian Murray (brian-murray) wrote :

My only thought is that problem reporting was disabled in gnome-control-center and this disabled the whoopsie service and because whoopsie wasn't running apport-autoreport would not work. Have you modified that setting since you originally encountered the issue?

Keith Myers (keith-myers) wrote :

No, I have never changed problem reporting from the default Automatic in the initial installation.

If I remember correctly, this all started when for some reason when I had a failed problem report upload notification on the screen and I acknowledged it.

The very next reboot showed me the Failed to start Process Error reporting message in the boot screen and in the log. I don't use 'no splash' so I watch for errors and notice them at every boot.

Russell Keating (rqkeating) wrote :

I got this error to go away by changing my selection from "Send report automatically" to "Show dialog for each error before reporting" and rebooting". When I checked the logs, the error was not there.

If I revert to "... automatically" and reboot I can get the error to appear again.

Shouldn't the importance of this get changed especially if it means that error reports aren't being generated and sent out?

Ubuntu 18.10 x86_64, 4.18.0-10-generic

Mattias Wernér (mlw) wrote :

from my /var/log/boot.log

[FAILED] Failed to start Process error reports when automatic reporting is enabled.
See 'systemctl status apport-autoreport.service' for details.

Shows up twice in the log.

When I run: systemctl status apport-autoreport.service

● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: inactive (dead) since Thu 2018-11-22 12:14:37 GMT; 29s ago
  Process: 12896 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=0/SUCCESS)
 Main PID: 12896 (code=exited, status=0/SUCCESS)

Nov 22 12:14:37 cerebus systemd[1]: Starting Process error reports when automatic reporting is enabled...
Nov 22 12:14:37 cerebus whoopsie-upload-all[12896]: /var/crash/_usr_lib_chromium-browser_chromium-browser.1000.crash already marked for u
Nov 22 12:14:37 cerebus whoopsie-upload-all[12896]: All reports processed
Nov 22 12:14:37 cerebus systemd[1]: Started Process error reports when automatic reporting is enabled.

Peter Goodall (pjgoodall) wrote :

identical for me. My problem reporting has not been disabled:

$ cat /etc/default/apport
# set this to 0 to disable apport, or to 1 to enable it
# you can temporarily override this with
# sudo service apport start force_start=1
enabled=1

Chris Rainey (ckrzen) wrote :

I just figured-out how to get "apport-autoreport.service", "whoopsie.service" & "systemd-networkd-wait-online.service" starting correctly on a networkd(netplan)-only(NetworkManager.service _disabled_ system) desktop which uses WiFi and a static-ip on Ubuntu 18.10 Desktop.

I'm commenting here in case it provides insight or another angle to approach the resolution of this bug.

BTW: the test system _was_ experiencing this bug on a clean-install of 18.10 Desktop ISO.

TL;DR

Adding a new variable(optional: yes) in the netplan yaml config for a static IP addy allows the "systemd-networkd-wait-online.service" to _ignore_ interfaces that may be blocking or inhibiting the proper startup of the apport-auto/whoopsie units.

Steps to reproduce:

1. Disable all NetworkManager related services:

$ systemctl list-unit-files | grep Net
NetworkManager-dispatcher.service disabled
NetworkManager-wait-online.service disabled
NetworkManager.service disabled

2. Create new yaml config for static IP's on all IF's(notice the 'optional: yes' directives!):

$ cat /etc/netplan/01-static-ip.yaml
network:
  version: 2
  renderer: networkd
  ethernets:
    enp2s0:
      optional: yes
      dhcp4: no
      dhcp6: no
      addresses: [192.168.1.201/24]
      gateway4: 192.168.1.254
      nameservers:
        addresses: [8.8.8.8, 8.8.4.4]
  wifis:
    wlp3s0:
      optional: yes
      dhcp4: no
      dhcp6: no
      addresses: [192.168.1.202/24]
      gateway4: 192.168.1.254
      nameservers:
        addresses: [8.8.8.8, 8.8.4.4]
      access-points:
        "Chez Merkle-Mac-Rainey 5 GHz":
          password: "BIG SECRET"

3. Reboot and confirm proper startup of all service units:

$ systemctl --failed
0 loaded units listed. Pass --all to see loaded but inactive units, too.
To show all installed unit files use 'systemctl list-unit-files'.

$ systemctl status
● CKR-1
    State: running
     Jobs: 0 queued
   Failed: 0 units
    Since: Thu 2018-12-06 15:02:16 CST; 22min ago

HTH!

Brad (apeitheo) wrote :

Adding 'After=whoopsie.service' to the [Unit] section of /lib/systemd/system/apport-autoreport.service fixes the issue for me:

[Unit]
Description=Process error reports when automatic reporting is enabled
ConditionPathExists=/var/lib/apport/autoreport
After=whoopsie.service

[Service]
Type=oneshot
ExecStart=/usr/share/apport/whoopsie-upload-all

Aravind R (araviaravi) wrote :

Brad (apeitheo) Thanks that solved this problem.

aravind@comp:~$ systemctl status apport-autoreport.service
● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: inactive (dead) since Sun 2018-12-09 16:24:21 IST; 2min 32s ago
  Process: 1686 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=0/SUCCESS)
 Main PID: 1686 (code=exited, status=0/SUCCESS)

Dec 09 16:24:17 comp systemd[1]: Starting Process error reports when automatic reporting is enabled...
Dec 09 16:24:21 comp whoopsie-upload-all[1686]: /var/crash/_usr_bin_gnome-shell.1000.crash already marked for upload, skipping
Dec 09 16:24:21 comp whoopsie-upload-all[1686]: All reports processed
Dec 09 16:24:21 comp systemd[1]: Started Process error reports when automatic reporting is enabled.

Hello Brad (apeitheo),

Your modification helped me (Comment #20). I have restarted twice and the service 'apport-autoreport.service' works correctly for my.

Best regards,
--
Cristian Aravena Romero (caravena)

Hello Brian Murray (brian-murray),

Will this change come in the next version?

Best regards,
--
Cristian Aravena Romero (caravena)

hackel (hackel) on 2018-12-18
Changed in apport (Ubuntu):
status: Incomplete → Confirmed

comment 20 did NOT work for me but going into settings and "problem Reporting" to Manual worked

Andrey Arapov (andrey-arapov) wrote :

This should fix the issue:

# EDITOR=vim systemctl edit apport-autoreport.service
[Unit]
After=whoopsie.service
Wants=whoopsie.service

Save.

Or instead of doing "systemctl edit", you can just drop these 3 lines to the "/etc/systemd/system/apport-autoreport.service.d/override.conf" file and issue "systemctl daemon-reload" command.

Tested:

systemctl stop whoopsie.service
systemctl stop apport-autoreport.service
systemctl start apport-autoreport.service

This worked for me.

Paradoxe (karnichi) wrote :

@Andrey Aparov solution worked for me!
Thanks

I removed "After=whoopsie.service" from /lib/systemd/system/apport-autoreport.service and updated apport from ~2.20.10-0ubuntu14 to 2.20.10-0ubuntu18 in Ubuntu Disco.

Then I rebooted the computer and reviewed the service "$ systemctl status apport-autoreport.service". And it is working correctly.

I do not know if after the update the problem is completely resolved or it will continue to appear randomly.

Anything I will avasaré in this report.

*"I will warn" (avasaré) Sorry (:

tags: added: rls-dd-incoming
Brian Murray (brian-murray) wrote :

Given that whoopsie-upload-all first checks to make sure that whoopsie is running and if it isn't exits 1, it certainly seems like the apport-autoreport.service should start after whoopsie.

Changed in apport (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged

Again I had to go to comment #20
--
Cristian Aravena Romero (caravena)

Changed in apport (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: Triaged → In Progress
summary: - [FAILED] Failed to start Process error reports when automatic reporting
- is enabled.
+ apport-autoreport.service fails if whoopsie isn't running
Changed in apport (Ubuntu Cosmic):
status: New → Triaged
importance: Undecided → High

Excellent Brian! Thank you for your work!
--
Cristian Aravena Romero (caravena)

description: updated
description: updated
description: updated
Changed in apport (Ubuntu Cosmic):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
description: updated

I just updated to apport 2.20.10-0ubuntu19

I rebooted the notebook, and reviewed the service: 'systemctl status apport-autoreport.service':

● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: inactive (dead) since Wed 2019-01-16 19:04:59 -03; 10min ago
  Process: 2959 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=0/SUCCESS)
 Main PID: 2959 (code=exited, status=0/SUCCESS)

For me, it works well.

The lines have been added to:
/lib/systemd/system/apport-autoreport.service

---

[Unit]

[...]

Wants=whoopsie.service
After=whoopsie.service

tags: added: id-5c3f73fddc34d038a1034902
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.20.10-0ubuntu19

---------------
apport (2.20.10-0ubuntu19) disco; urgency=medium

  * debian/apport-autoreport.service: Since this calls whoopsie-upload-all
    which fails if whoopsie isn't running, it should have a relationship with
    whoopsie.service. (LP: #1787729)

 -- Brian Murray <email address hidden> Wed, 16 Jan 2019 10:23:09 -0800

Changed in apport (Ubuntu):
status: In Progress → Fix Released
Byron (byron-goodman) wrote :

I just did an apt purge apport and reinstalled and it fixed the issue for me.

Hello Cristian, or anyone else affected,

Accepted apport into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/apport/2.20.10-0ubuntu13.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in apport (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Brian Murray (brian-murray) wrote :

Could somebody please test the version of apport from cosmic-proposed? I'd prefer somebody affected by the bug verified that the new version of the package works for them.

Brad (apeitheo) wrote :

2.20.10-0ubuntu13.2 from cosmic-proposed fixes the issue for me.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.20.10-0ubuntu13.2

---------------
apport (2.20.10-0ubuntu13.2) cosmic; urgency=medium

  * debian/apport-autoreport.service: Since this calls whoopsie-upload-all
    which fails if whoopsie isn't running, it should have a relationship with
    whoopsie.service. (LP: #1787729)

 -- Brian Murray <email address hidden> Wed, 16 Jan 2019 11:26:02 -0800

Changed in apport (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for apport has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in apport (Ubuntu Bionic):
assignee: nobody → Brian Murray (brian-murray)
importance: Undecided → High
status: New → In Progress
Changed in apport (Ubuntu):
assignee: Brian Murray (brian-murray) → alaaabdo (alaaabdo201222)
Changed in apport (Ubuntu):
assignee: alaaabdo (alaaabdo201222) → Brian Murray (brian-murray)
Changed in apport (Ubuntu):
assignee: Brian Murray (brian-murray) → alaaabdo (alaaabdo201222)
Changed in apport (Ubuntu):
assignee: alaaabdo (alaaabdo201222) → Brian Murray (brian-murray)

Hello Cristian, or anyone else affected,

Accepted apport into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/apport/2.20.9-0ubuntu7.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in apport (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Brian Murray (brian-murray) wrote :

I installed apport version 2.20.9-0ubuntu7.6 from bionic-proposed and ran through the test case from the bug description and can confirm that automatic reporting was enabled and that there were no issues with whoopsie.

bdmurray@clean-bionic-amd64:~$ systemctl status apport-autoreport.service
● apport-autoreport.service - Process error reports when automatic reporting is enabled
   Loaded: loaded (/lib/systemd/system/apport-autoreport.service; static; vendor preset: enabled)
   Active: inactive (dead) since Tue 2019-03-05 08:49:56 PST; 4min 13s ago
  Process: 589 ExecStart=/usr/share/apport/whoopsie-upload-all (code=exited, status=0/SUCCESS)
 Main PID: 589 (code=exited, status=0/SUCCESS)

Mar 05 08:49:55 clean-bionic-amd64 systemd[1]: Starting Process error reports when automatic reporting is enabled...
Mar 05 08:49:56 clean-bionic-amd64 systemd[1]: Started Process error reports when automatic reporting is enabled.
bdmurray@clean-bionic-amd64:~$ apt-cache policy apport
apport:
  Installed: 2.20.9-0ubuntu7.6
  Candidate: 2.20.9-0ubuntu7.6

I'd prefer if somebody experiencing the issue on Ubuntu 18.04 could verify it though.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.20.9-0ubuntu7.6

---------------
apport (2.20.9-0ubuntu7.6) bionic; urgency=medium

  * data/general-hooks/ubuntu.py: Fix UnicodeDecodeError when processing
    DpkgTerminalLog. (LP: #1766337)
  * debian/apport-autoreport.service: Since this calls whoopsie-upload-all
    which fails if whoopsie isn't running, it should have a relationship with
    whoopsie.service. (LP: #1787729)

 -- Brian Murray <email address hidden> Wed, 06 Feb 2019 10:46:53 -0800

Changed in apport (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers